Bug 240555 - firefox changes it's icon in main bar when an unrelated property changes
firefox changes it's icon in main bar when an unrelated property changes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 09:19 EDT by David Kovalsky
Modified: 2014-03-31 19:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 146605 None None None Never

  None (edit)
Description David Kovalsky 2007-05-18 09:19:22 EDT
Description of problem:
Firefox icon disappears when I disable launch feedback.

Version-Release number of selected component (if applicable):
kdebase-3.5.6-6.fc7

How reproducible:
always

Steps to Reproduce:
1. right click menu -> internet -> Firefox Web Browser
2. select 'add to main panel'
3. right click firefox icon on the panel, 
   select 'Configure firefox web browser button'
4. switch to the application tab
5. click advanced options button
6. unselect 'enable launch feedback'
7. click 'OK', 'OK'


Actual results:
suddently firefox icon changes to a different icon (list of paper)

Expected results:
firefox keeps it's own icon
Comment 1 Gianluca Varisco 2007-06-09 18:30:24 EDT
After a discussion with two KDE and Kubuntu developers I filed this bug
upstream: http://bugs.kde.org/show_bug.cgi?id=146605 
Comment 2 Bug Zapper 2008-04-03 20:46:52 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 David Kovalsky 2008-04-06 12:21:56 EDT
Still reproducable on F8, i386 I randomly tested on. 
Comment 4 Bug Zapper 2008-11-26 02:15:36 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 David Kovalsky 2008-12-11 07:56:39 EST
Was valid for Fedora 9, still valid for Fedora 10. 

Setting the release to 10 then. Let's see if it gets fixed :-)
Comment 6 Bug Zapper 2009-11-18 03:12:13 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Kovalsky 2009-11-18 04:20:51 EST
Moving to Fedora 12, as this is still valid. 

Menu -> add to desktop -> (desktop icon) Icon settings -> Permissios Tab -> Advanced Permission button (you don't have to change anything) -> OK -> OK (boom!)

Though KDE in F12 gives me an error 
Could not change permissions for /root/.local/share/applications/firefox.desktop
(OK, it's lame testing as root), after clicking OK the icon is just a big question mark.

Just for the record, I've also tried with SELinux in Permissive mode and the behaviour is the same. 

So the saga originally started at Fedora 7 continues.
Comment 8 Henry Rust 2010-01-16 05:24:08 EST
I can confirm this bug using Fedora 12 with KDE SC 4.3.4 and Qt 4.5.3
Comment 9 Henry Rust 2010-05-28 08:17:19 EDT
Still valid for Fedora 13 using KDE SC 4.4.3 and Qt 4.6.2.
Comment 10 Henry Rust 2010-11-25 10:13:54 EST
Still valid for the current rawhide snapshot using KDE SC 4.5.80 (4.6 Beta1) and Qt 4.7.1.
Comment 11 Bug Zapper 2011-06-02 14:41:35 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 David Kovalsky 2011-06-03 05:21:08 EDT
Wow, another anniversary and another bump forward. 

Still valid for F14.

Fun fact: Fedora release is at twice the number (FC7 * 2 = F14) of when this was reported :)
Comment 13 Fedora End Of Life 2012-08-16 17:43:52 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.